Altimax\Apidae\Core\Entity\SitraUserRoadbook:
  type: entity
  table: sitra_user_roadbook
  repositoryClass: Altimax\Apidae\Core\Repository\SitraUserRoadbook
  indexes:
    userId:
      columns:
        - user_id
  uniqueConstraints:
    objet_user_idx:
      columns: [ "user_id","apidae_id" ]
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    userId:
      type: integer
      nullable: false
      comment: ''
      column: user_id
    apidaeId:
      type: integer
      nullable: false
      comment: 'Identifiant Apidae'
      column: apidae_id
  lifecycleCallbacks: {  }
